module Config.Pages.Debate.Gibberish.List exposing (..)

import Config.Pages.Debate.Gibberish.Records.Epistemology exposing (epistemologyGibberish)
import Config.Pages.Debate.Gibberish.Records.Metaphysics exposing (metaphysicsGibberish)
import Config.Pages.Debate.Gibberish.Records.Normativity exposing (normativityGibberish)
import Config.Pages.Debate.Gibberish.Records.Ontology exposing (ontologyGibberish)
import Config.Pages.Debate.Gibberish.Records.PhilOfLanguage exposing (philOfLanguageGibberish)
import Config.Pages.Debate.Gibberish.Records.PhilOfMind exposing (philOfMindGibberish)
import Config.Pages.Debate.Gibberish.Records.Theology exposing (theologyGibberish)
import Config.Pages.Debate.Gibberish.Types exposing (..)


gibberishList : List Terms
gibberishList =
    List.concat
        [ epistemologyGibberish.gibberishTerms
        , metaphysicsGibberish.gibberishTerms
        , normativityGibberish.gibberishTerms
        , ontologyGibberish.gibberishTerms
        , philOfLanguageGibberish.gibberishTerms
        , philOfMindGibberish.gibberishTerms
        , theologyGibberish.gibberishTerms
        ]
