module Config.Pages.Services.Records.DebateAnalysis exposing (..)

import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Services.Types exposing (..)
import Element as E exposing (..)
import Route.Path as Path


servicesDebateAnalysis : Service msg
servicesDebateAnalysis =
    let
        name : String
        name =
            "Debate Analysis"
    in
    { serviceImage = formatName name
    , serviceLink = Path.toString Path.Services_Analysis
    , serviceName = name
    , isNewTabLink = False
    , serviceRate = "$80/hr"
    , serviceDescription =
        [ { point = "Have your own debates analyzed for constructive feedback." }
        , { point = "Receive advice to improve your debate and public speaking skills." }
        , { point = "Gain valuable insights that help you become a stronger reasoner." }
        , { point = "Gain comfort with debate and verbal confrontation." }
        ]
    , serviceArticle =
        { articleTitles =
            { title1 = "Benefits"
            , title2 = "Requirements"
            , title3 = ""
            , title4 = ""
            , title5 = ""
            , title6 = ""
            , title7 = ""
            , title8 = ""
            , title9 = ""
            , title10 = ""
            }
        , articleParagraph =
            { paragraph1 = [ text "The Debate Analysis services offers personalized feedback to help you improve your debate skills. I work with clients by reviewing their pre-recorded debates, providing detailed critiques, and offering practical advice tailored to their style. Through this process, you'll gain valuable insights into areas of improvement, from your argument structure to your delivery and confidence." ]
            , paragraph2 = []
            , paragraph3 = []
            , paragraph4 = []
            }
        , articleListEntries =
            { list1 =
                [ "Have your own debates analyzed for constructive feedback. This allows you to receive targeted guidance on how to improve your debating technique and strategy."
                , "Receive advice to improve as a debater. This service provides personalized recommendations to help you develop and refine your debating abilities."
                , "Gain comfort with debate and verbal confrontation. The service aims to help you become more confident and adept at handling the challenges of public debate."
                ]
            , list2 =
                [ "Your debate recording must be submitted at least three days prior to the session."
                , "Your debate recording must not exceed one hour in length unless otherwise agreed to."
                , "Your debate recording must be in either video or audio format, as text debates are ineligible."
                ]
            , list3 =
                []
            , list4 =
                []
            , list5 =
                []
            , list6 =
                []
            , list7 =
                []
            , list8 =
                []
            , list9 =
                []
            , list10 =
                []
            }
        }
    }
