module Config.Style.Images exposing (..)

import Config.Helpers.ImageFolders exposing (..)
import Config.Style.Colour exposing (colourTheme)
import Element as E exposing (..)
import Element.Background as B exposing (color)
import Element.Border as D
    exposing
        ( color
        , rounded
        , width
        )


imageSquareMaker : Device -> String -> Bool -> String -> Element msg
imageSquareMaker device imagePath isLeft size =
    E.image
        [ D.rounded 10
        , clip
        , E.width <| px (imageSizer size)
        , E.height <| px (imageSizer size)
        ]
        { src = imagePath
        , description = ""
        }


imageSizer : String -> Int
imageSizer size =
    case size of
        "Fatty" ->
            80

        "Big" ->
            65

        "Medium" ->
            45

        "Smallish" ->
            35

        _ ->
            28
